#!/bin/sh
#
SUDO=/usr/local/bin/sudo
PCITOOL=/usr/sbin/pcitool
#
#
# Devices
#"/pci@400/pci@2/pci@0/pci@1/network@0" 2 "ixgbe"
#"/pci@400/pci@2/pci@0/pci@1/network@0,1" 3 "ixgbe"
#"/pci@700/pci@2/pci@0/pci@5/network@0" 0 "ixgbe"
#"/pci@700/pci@2/pci@0/pci@5/network@0,1" 1 "ixgbe"
#
# intr cpus: 1-13, 64-75, 128-141, 192-205 (53 total, 52 assigned for interrupts)
#
# ixgbe0 - RAC interconnect
# ino: 7 - 12 -> cpu 2 - 13
$SUDO $PCITOOL /pci@700 -i 7  -w 2
$SUDO $PCITOOL /pci@700 -i 8  -w 3
$SUDO $PCITOOL /pci@700 -i 9  -w 4
$SUDO $PCITOOL /pci@700 -i a  -w 5
$SUDO $PCITOOL /pci@700 -i b  -w 6
$SUDO $PCITOOL /pci@700 -i c  -w 7
$SUDO $PCITOOL /pci@700 -i d  -w 8
$SUDO $PCITOOL /pci@700 -i e  -w 9
$SUDO $PCITOOL /pci@700 -i f  -w a
$SUDO $PCITOOL /pci@700 -i 10  -w b
$SUDO $PCITOOL /pci@700 -i 11  -w c
$SUDO $PCITOOL /pci@700 -i 12  -w d

# ixgbe1 - JDBC
# ino: 13 - 22 -> cpu ...
$SUDO $PCITOOL /pci@700 -i 13  -w 40
$SUDO $PCITOOL /pci@700 -i 14  -w 41
$SUDO $PCITOOL /pci@700 -i 15  -w 42
$SUDO $PCITOOL /pci@700 -i 16  -w 43
$SUDO $PCITOOL /pci@700 -i 17  -w 44
$SUDO $PCITOOL /pci@700 -i 18  -w 45
$SUDO $PCITOOL /pci@700 -i 19  -w 46
$SUDO $PCITOOL /pci@700 -i 1a  -w 47
$SUDO $PCITOOL /pci@700 -i 1b  -w 48
$SUDO $PCITOOL /pci@700 -i 1c  -w 49
$SUDO $PCITOOL /pci@700 -i 1d  -w 4a
$SUDO $PCITOOL /pci@700 -i 1e  -w 4b
$SUDO $PCITOOL /pci@700 -i 1f  -w 80
$SUDO $PCITOOL /pci@700 -i 20  -w 81
$SUDO $PCITOOL /pci@700 -i 21  -w 82
$SUDO $PCITOOL /pci@700 -i 22  -w 83

# ixgbe3 - JDBC
# ino: a - 19 -> cpu ...
$SUDO $PCITOOL /pci@400 -i a  -w 84
$SUDO $PCITOOL /pci@400 -i b  -w 85
$SUDO $PCITOOL /pci@400 -i c  -w 86
$SUDO $PCITOOL /pci@400 -i d  -w 87
$SUDO $PCITOOL /pci@400 -i e  -w 88
$SUDO $PCITOOL /pci@400 -i f  -w 89
$SUDO $PCITOOL /pci@400 -i 10  -w 8a
$SUDO $PCITOOL /pci@400 -i 11  -w 8b
$SUDO $PCITOOL /pci@400 -i 12  -w 8c
$SUDO $PCITOOL /pci@400 -i 13  -w 8d
$SUDO $PCITOOL /pci@400 -i 14  -w c0
$SUDO $PCITOOL /pci@400 -i 15  -w c1
$SUDO $PCITOOL /pci@400 -i 16  -w c2
$SUDO $PCITOOL /pci@400 -i 17  -w c3
$SUDO $PCITOOL /pci@400 -i 18  -w c4
$SUDO $PCITOOL /pci@400 -i 19  -w c5

# emlxs6/emlxs7 - REDO
# ino: 25 - 34: -> cpu ...
#
$SUDO $PCITOOL /pci@700 -i 25  -w c6
$SUDO $PCITOOL /pci@700 -i 26  -w c7
$SUDO $PCITOOL /pci@700 -i 27  -w c8
$SUDO $PCITOOL /pci@700 -i 28  -w c9
$SUDO $PCITOOL /pci@700 -i 29  -w ca
$SUDO $PCITOOL /pci@700 -i 2a  -w cb
$SUDO $PCITOOL /pci@700 -i 2b  -w cc
$SUDO $PCITOOL /pci@700 -i 2c  -w cd
$SUDO $PCITOOL /pci@700 -i 2d  -w c6
$SUDO $PCITOOL /pci@700 -i 2e  -w c7
$SUDO $PCITOOL /pci@700 -i 2f  -w c8
$SUDO $PCITOOL /pci@700 -i 30  -w c9
$SUDO $PCITOOL /pci@700 -i 31  -w ca
$SUDO $PCITOOL /pci@700 -i 32  -w cb
$SUDO $PCITOOL /pci@700 -i 33  -w cc
$SUDO $PCITOOL /pci@700 -i 34  -w cd
